//Algorithm for calculating height
/*
@nestorgastly.humberto(nestorgastly.humberto@gmail.com
@Date 27/01/2022
/*******************************************************************************************************************************************
 *  												INCLUDE
 *******************************************************************************************************************************************/

#include <iostream>
#include <math.h>
using namespace std;
//Exercise 14
//***************************************************************************FUNCTION DECLARATION**********************************************************************************
void Run();
void CollectData();
void Calculate();
void ShowResults();
/*******************************************************************************************************************************************
 *  												MAIN
 *******************************************************************************************************************************************/
 
int main() {
	
	Run();
	return 0;
	}

/*******************************************************************************************************************************************
 *  												DEFINE
 *******************************************************************************************************************************************/

#define PI 	3.1416	
/******************************************************************************************************************************************* 
*  												GLOBAL VARIABLE
*******************************************************************************************************************************************/

	float height         = 0.0;
	float largerDiameter = 0.0; 
	float minorDiamater  = 0.0; 
	float volume         = 0.0; 
	float volumeLiter    = 0.0; 
	float volumeMetro    = 0.0; 

//********************************************************************FUNCTION DEFINITION*************************************************************************************************
void Run(){
	CollectData();
	Calculate();
	ShowResults();
}
//===================================================================================================================================================================================
void CollectData(){	
	cout<<"========== Insert Data ==========\r\n" ;
	cout <<"Digite la altura en cm : "; 
	cin>>height ;                                      
	cout<<"\r\nDigite el diametro  mayor en cm : ";
	cin>>largerDiameter ;                            
	cout<<"\r\nDigite el diametro menor en cm : " ;
	cin>>minorDiamater ;                               
}
//======================================================================================================================================================================================================================
void Calculate(){	
	volume = (PI/12)*(height)*(2*(pow(largerDiameter,2))+pow(minorDiamater,2)); 
	volumeLiter = volume/1000;  
	volumeMetro = volume/1000000;  
}
//=======================================================================================================================================================================================
void ShowResults(){
	cout<<"\r\n========== Show results ==========\r\n";
	cout<<"El volumen en litros : "<<volumeLiter<<"L" ;                     
	cout<<"\r\nEl volumen en centimetros cubicos : "<<volume <<" cm^3";          
	cout<<"\r\nEl volumen en metros cubicos : "<<volumeMetro<<" m^3 " ;       
}
	
